--- old/usr/src/cmd/fs.d/nfs/rquotad/Makefile	Tue Jan  8 12:33:11 2019
+++ new/usr/src/cmd/fs.d/nfs/rquotad/Makefile	Tue Jan  8 12:33:11 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		nfs
 TYPEPROG=	rquotad
@@ -38,6 +39,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 LDLIBS += -lnsl
 
+# unknown type for func
+SMATCH=off
+
 $(TYPEPROG):	$(OBJS)
 		$(LINK.c) -o $@ $(LDLIBS) $(OBJS)
 		$(POST_PROCESS)
--- old/usr/src/cmd/fs.d/nfs/showmount/Makefile	Tue Jan  8 12:33:15 2019
+++ new/usr/src/cmd/fs.d/nfs/showmount/Makefile	Tue Jan  8 12:33:15 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		nfs
 LIBPROG=	showmount
@@ -47,6 +48,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 $(LIBPROG):	$(OBJS)
 		$(LINK.c) -o $@ $(OBJS) $(LDLIBS)
 		$(POST_PROCESS)
--- old/usr/src/cmd/fs.d/nfs/statd/Makefile	Tue Jan  8 12:33:18 2019
+++ new/usr/src/cmd/fs.d/nfs/statd/Makefile	Tue Jan  8 12:33:18 2019
@@ -30,6 +30,7 @@
 #
 # Copyright (c) 2016 by Delphix. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		nfs
 TYPEPROG=	statd
@@ -43,6 +44,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LOCAL=		sm_svc.o sm_proc.o sm_statd.o
 OBJS=		$(LOCAL) selfcheck.o daemon.o smfcfg.o
 
--- old/usr/src/cmd/fs.d/nfs/tests/Makefile	Tue Jan  8 12:33:20 2019
+++ new/usr/src/cmd/fs.d/nfs/tests/Makefile	Tue Jan  8 12:33:20 2019
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/fs.d/nfs/tests/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		nfs
 LIBPROG=	test_svc_tp_create
@@ -35,6 +35,9 @@
 
 CFLAGS += $(CCVERBOSE)
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lnsl -lsocket
 
 # message catalog
--- old/usr/src/cmd/fs.d/smbclnt/smbiod-svc/Makefile	Tue Jan  8 12:33:22 2019
+++ new/usr/src/cmd/fs.d/smbclnt/smbiod-svc/Makefile	Tue Jan  8 12:33:22 2019
@@ -22,11 +22,8 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
-#
-# cmd/fs.d/smbclnt/smbiod-svc/Makefile
-#
-
 FSTYPE=		smbfs
 TYPEPROG=	smbiod-svc
 
@@ -42,6 +39,9 @@
 CPPFLAGS += -I$(SRC)/lib/libsmbfs \
 	-I$(SRC)/uts/common/smbclnt -I$(SRC)/uts/common
 
+# not linted
+SMATCH=off
+
 # Debugging
 ${NOT_RELEASE_BUILD} CPPFLAGS += -DDEBUG
 
--- old/usr/src/cmd/fs.d/smbclnt/smbiod/Makefile	Tue Jan  8 12:33:24 2019
+++ new/usr/src/cmd/fs.d/smbclnt/smbiod/Makefile	Tue Jan  8 12:33:24 2019
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -39,13 +40,14 @@
 CFLAGS += $(CCVERBOSE)
 CSTD= $(CSTD_GNU99)
 
-# This is a multi-thread program but Nevada
-# no longer needs -lthread
 LDLIBS += -lsmbfs -lumem
 
 CPPFLAGS += -I$(SRC)/lib/libsmbfs \
 	-I$(SRC)/uts/common/smbclnt -I$(SRC)/uts/common
 
+# not linted
+SMATCH=off
+
 # Debugging
 ${NOT_RELEASE_BUILD} CPPFLAGS += -DDEBUG
 
--- old/usr/src/cmd/fs.d/smbclnt/smbutil/Makefile	Tue Jan  8 12:33:26 2019
+++ new/usr/src/cmd/fs.d/smbclnt/smbutil/Makefile	Tue Jan  8 12:33:26 2019
@@ -24,6 +24,7 @@
 # Use is subject to license terms.
 #
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -52,6 +53,9 @@
 CPPFLAGS += -I$(SRC)/lib/libsmbfs \
 	-I$(SRC)/uts/common/smbclnt -I$(SRC)/uts/common
 
+# not linted
+SMATCH=off
+
 # Debugging
 ${NOT_RELEASE_BUILD} CPPFLAGS += -DDEBUG
 
--- old/usr/src/cmd/fs.d/udfs/fsck/Makefile	Tue Jan  8 12:33:28 2019
+++ new/usr/src/cmd/fs.d/udfs/fsck/Makefile	Tue Jan  8 12:33:28 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 1999 by Sun Microsystems, Inc.
 # All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		udfs
 LIBPROG=	fsck
@@ -40,6 +41,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 OBJS=		$(FSCKOBJS) $(UDFSOBJS)
 SRCS=		$(FSCKSRCS) $(UDFSSRCS) ../mkfs/udfslib.c
 
--- old/usr/src/cmd/fs.d/udfs/fsdb/Makefile	Tue Jan  8 12:33:30 2019
+++ new/usr/src/cmd/fs.d/udfs/fsdb/Makefile	Tue Jan  8 12:33:30 2019
@@ -22,7 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright 2017, Joyent Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 FSTYPE=		udfs
@@ -51,6 +51,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 SRCS=	fsdb.c ud_lib.c
 
 fsdb : fsdb_yacc.o fsdb_lex.o ud_lib.o fsdb.o $(MAPFILES)
--- old/usr/src/cmd/fs.d/udfs/mkfs/Makefile	Tue Jan  8 12:33:31 2019
+++ new/usr/src/cmd/fs.d/udfs/mkfs/Makefile	Tue Jan  8 12:33:32 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 1999,2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		udfs
 LIBPROG=	mkfs
@@ -48,6 +49,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 OBJS=		$(MKFSOBJS) $(UDFSOBJS)
 SRCS=		$(OBJS:%.o=%.c)
 
--- old/usr/src/cmd/fs.d/ufs/df/Makefile	Tue Jan  8 12:33:34 2019
+++ new/usr/src/cmd/fs.d/ufs/df/Makefile	Tue Jan  8 12:33:34 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	df
@@ -40,6 +41,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 # for messaging catalogue file
 #
 POFILE= df.po
--- old/usr/src/cmd/fs.d/ufs/edquota/Makefile	Tue Jan  8 12:33:36 2019
+++ new/usr/src/cmd/fs.d/ufs/edquota/Makefile	Tue Jan  8 12:33:36 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 1989,1996 by Sun Microsystems, Inc.
 # All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	edquota
@@ -37,5 +38,8 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 lint:		lint_PROG
 
+# not linted
+SMATCH=off
+
 $(ROOTUSRSBIN)/$(LIBPROG):
 		-$(RM) $@; $(SYMLINK) $(LINKVALUE) $@
--- old/usr/src/cmd/fs.d/ufs/ff/Makefile	Tue Jan  8 12:33:37 2019
+++ new/usr/src/cmd/fs.d/ufs/ff/Makefile	Tue Jan  8 12:33:37 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 1989,1996 by Sun Microsystems, Inc.
 # All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	ff
@@ -41,6 +42,9 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 $(LIBPROG):	$(OBJS)
 		$(LINK.c) -o $@ $(OBJS) $(LDLIBS)
 		$(POST_PROCESS)
--- old/usr/src/cmd/fs.d/ufs/fsck/Makefile	Tue Jan  8 12:33:40 2019
+++ new/usr/src/cmd/fs.d/ufs/fsck/Makefile	Tue Jan  8 12:33:40 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	fsck
@@ -51,6 +52,9 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 $(LIBPROG):	$(OBJS)
 		$(LINK.c) -o $@ $(OBJS) $(LDLIBS) $(CTFMERGE_HOOK)
 		$(POST_PROCESS)
--- old/usr/src/cmd/fs.d/ufs/fsdb/Makefile	Tue Jan  8 12:33:41 2019
+++ new/usr/src/cmd/fs.d/ufs/fsdb/Makefile	Tue Jan  8 12:33:41 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 1989,2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	fsdb
@@ -37,6 +38,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 SRCS=	$(LIBPROG).c
 
 lint:	lint_SRCS
--- old/usr/src/cmd/fs.d/ufs/fssnap/Makefile	Tue Jan  8 12:33:41 2019
+++ new/usr/src/cmd/fs.d/ufs/fssnap/Makefile	Tue Jan  8 12:33:41 2019
@@ -21,8 +21,9 @@
 #
 #
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms. 
+# Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	fssnap
@@ -43,6 +44,10 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lkstat -ldevinfo
 
 # message catalog
--- old/usr/src/cmd/fs.d/ufs/labelit/Makefile	Tue Jan  8 12:33:42 2019
+++ new/usr/src/cmd/fs.d/ufs/labelit/Makefile	Tue Jan  8 12:33:42 2019
@@ -20,12 +20,10 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright (c) 1989,1996,2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# cmd/fs.d/ufs/labelit/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	labelit
@@ -35,6 +33,9 @@
 
 CPPFLAGS +=	-D_LARGEFILE64_SOURCE
 
+# not linted
+SMATCH=off
+
 lint :=		PROG=$(LIBPROG)
 
 lint:		lint_PROG
--- old/usr/src/cmd/fs.d/ufs/lockfs/Makefile	Tue Jan  8 12:33:42 2019
+++ new/usr/src/cmd/fs.d/ufs/lockfs/Makefile	Tue Jan  8 12:33:42 2019
@@ -20,12 +20,10 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright (c) 1991,1996,2001 by Sun Microsystems, Inc.
 # All rights reserved.
 #
-# cmd/fs.d/ufs/lockfs/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	lockfs
@@ -38,6 +36,8 @@
 
 CPPFLAGS +=	-D_LARGEFILE64_SOURCE
 
+SMOFF += all_func_returns
+
 lint:		lint_PROG
 
 $(ROOTUSRSBIN)/$(LIBPROG):
--- old/usr/src/cmd/fs.d/ufs/newfs/Makefile	Tue Jan  8 12:33:43 2019
+++ new/usr/src/cmd/fs.d/ufs/newfs/Makefile	Tue Jan  8 12:33:43 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	newfs
@@ -38,6 +39,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 OBJS=		$(LIBPROG).o $(FSLIB)
 SRCS=		$(LIBPROG).c $(FSLIBSRC)
 
--- old/usr/src/cmd/fs.d/ufs/quot/Makefile	Tue Jan  8 12:33:44 2019
+++ new/usr/src/cmd/fs.d/ufs/quot/Makefile	Tue Jan  8 12:33:44 2019
@@ -20,12 +20,10 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/fs.d/ufs/quot/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	quot
@@ -40,6 +38,9 @@
 CFLAGS	+=	$(CCVERBOSE)
 LDLIBS	+=	-ladm
 
+# not linted
+SMATCH=off
+
 lint		:=	PROG= $(LIBPROG)
 
 lint:		lint_PROG
--- old/usr/src/cmd/fs.d/ufs/quota/Makefile	Tue Jan  8 12:33:45 2019
+++ new/usr/src/cmd/fs.d/ufs/quota/Makefile	Tue Jan  8 12:33:45 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/fs.d/ufs/quota/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	quota
@@ -43,6 +43,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 FILEMODE= 04555
 
 $(LIBPROG):	$(OBJS)
--- old/usr/src/cmd/fs.d/ufs/quotacheck/Makefile	Tue Jan  8 12:33:45 2019
+++ new/usr/src/cmd/fs.d/ufs/quotacheck/Makefile	Tue Jan  8 12:33:45 2019
@@ -23,6 +23,7 @@
 # Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	quotacheck
@@ -42,6 +43,9 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-type-limits
 
+# not linted
+SMATCH=off
+
 lint:		lint_PROG
 
 $(FSOBJS): $(FSSRCS)
--- old/usr/src/cmd/fs.d/ufs/quotaon/Makefile	Tue Jan  8 12:33:46 2019
+++ new/usr/src/cmd/fs.d/ufs/quotaon/Makefile	Tue Jan  8 12:33:46 2019
@@ -22,7 +22,7 @@
 # Use is subject to license terms.
 # Copyright 2015 Nexenta Systems, Inc. All rights reserved.
 #
-# cmd/fs.d/ufs/quotaon/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	quotaon
@@ -43,6 +43,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 lint:		lint_PROG
 
 $(ROOTLIBFSTYPE)/$(QUOTAOFF):	$(ROOTLIBFSTYPE)/$(LIBPROG) 
--- old/usr/src/cmd/fs.d/ufs/repquota/Makefile	Tue Jan  8 12:33:47 2019
+++ new/usr/src/cmd/fs.d/ufs/repquota/Makefile	Tue Jan  8 12:33:47 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 1989,1996 by Sun Microsystems, Inc.
 # All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	repquota
@@ -38,6 +39,9 @@
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 lint:		lint_PROG
 
 $(ROOTUSRSBIN)/$(LIBPROG):
--- old/usr/src/cmd/fs.d/ufs/tunefs/Makefile	Tue Jan  8 12:33:48 2019
+++ new/usr/src/cmd/fs.d/ufs/tunefs/Makefile	Tue Jan  8 12:33:48 2019
@@ -23,6 +23,7 @@
 # Copyright (c) 1989,1996, by Sun Microsystems, Inc.
 # All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	tunefs
@@ -39,6 +40,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 lint:		lint_PROG
 
 $(ROOTUSRSBIN)/$(LIBPROG):	FRC
--- old/usr/src/cmd/fs.d/ufs/volcopy/Makefile	Tue Jan  8 12:33:49 2019
+++ new/usr/src/cmd/fs.d/ufs/volcopy/Makefile	Tue Jan  8 12:33:49 2019
@@ -23,6 +23,7 @@
 # Copyright 1989,2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 FSTYPE=		ufs
 LIBPROG=	volcopy
@@ -34,6 +35,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LDLIBS += 	-lmapmalloc
 
 # for messaging catalog
--- old/usr/src/cmd/fwflash/Makefile.com	Tue Jan  8 12:33:53 2019
+++ new/usr/src/cmd/fwflash/Makefile.com	Tue Jan  8 12:33:53 2019
@@ -21,9 +21,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/fwflash/Makefile.com
+# Copyright (c) 2018, Joyent, Inc.
 #
-#
 # common rules for $SRC/cmd/fwflash
 
 CLOSED=			$(SRC)/../closed
@@ -32,6 +31,9 @@
 CERRWARN +=		-_gcc=-Wno-uninitialized
 CERRWARN +=		-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 ROOTUSR=                $(ROOT)/usr
 ROOTUSRINCLD=		$(ROOTUSR)/include
 ROOTUSRINCLDFWFLASH=	$(ROOTUSRINCLD)/fwflash
--- old/usr/src/cmd/gencat/Makefile	Tue Jan  8 12:33:55 2019
+++ new/usr/src/cmd/gencat/Makefile	Tue Jan  8 12:33:55 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= gencat
 
@@ -33,6 +34,9 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-value
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG) 
--- old/usr/src/cmd/grpck/Makefile	Tue Jan  8 12:33:57 2019
+++ new/usr/src/cmd/grpck/Makefile	Tue Jan  8 12:33:57 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1990 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= grpck
 
@@ -29,6 +30,9 @@
 
 CERRWARN += -_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 RELUSRSBIN=	../usr/sbin
 ROOTSYMLINK=	$(ROOTETC)/$(PROG)
 
--- old/usr/src/cmd/gss/gsscred/Makefile	Tue Jan  8 12:34:00 2019
+++ new/usr/src/cmd/gss/gsscred/Makefile	Tue Jan  8 12:34:00 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SBINPROG = gsscred
 
@@ -46,9 +47,12 @@
 
 COPTFLAG += $(XESS) $(INCDIRS) $(LIBPATH)
 
+# not linted
+SMATCH=off
+
 LDLIBS += -lgss
 
-$(GPROGS) := CPPFLAGS += -DSYSV -DSunOS=50 
+$(GPROGS) := CPPFLAGS += -DSYSV -DSunOS=50
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/gss/gssd/Makefile	Tue Jan  8 12:34:01 2019
+++ new/usr/src/cmd/gss/gssd/Makefile	Tue Jan  8 12:34:01 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 TESTPROG = gssdtest
 
@@ -37,7 +38,7 @@
 
 GD_OBJS	= gssd_svc.o
 GC_OBJS	= gssd_clnt.o
-G_OBJS	= gssd_xdr.o 
+G_OBJS	= gssd_xdr.o
 GSSDOBJS = $(GSSD_BASEOBJS) $(GD_OBJS) $(G_OBJS)
 GSSCOBJS = $(GSSC_BASEOBJS) $(GC_OBJS) $(G_OBJS)
 
@@ -68,7 +69,7 @@
 DIRS=	$(ROOTLIB)
 
 CPPFLAGS += -I$(SRC)/uts/common/gssapi/include
-COPTFLAG += $(XESS) #-I$(KINCDIR) 
+COPTFLAG += $(XESS) #-I$(KINCDIR)
 
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
@@ -75,6 +76,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LDLIBS += -lgss -lnsl
 
 gssd :=	MAPFILES = $(MAPFILE.INT) $(MAPFILE.NGB)
--- old/usr/src/cmd/iconv/Makefile	Tue Jan  8 12:34:04 2019
+++ new/usr/src/cmd/iconv/Makefile	Tue Jan  8 12:34:04 2019
@@ -11,7 +11,7 @@
 
 #
 # Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2017 Joyent Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG=iconv
@@ -31,6 +31,9 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-label
 
+# not linted
+SMATCH=off
+
 CLEANFILES	= $(OBJS) parser.tab.c parser.tab.h
 CLOBBERFILES	= $(PROG) $(POFILE)
 PIFILES		= $(OBJS:%.o=%.i)
--- old/usr/src/cmd/idmap/idmap/Makefile	Tue Jan  8 12:34:04 2019
+++ new/usr/src/cmd/idmap/idmap/Makefile	Tue Jan  8 12:34:05 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		idmap
 CLIENTOBJS =	idmap.o idmap_engine.o namemaps.o
@@ -41,6 +42,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 POFILE = 	$(PROG)_all.po
 LDLIBS +=	-lidmap -ladutils -lsldap -lldap
 FILEMODE =	0555
--- old/usr/src/cmd/idmap/idmapd/Makefile	Tue Jan  8 12:34:05 2019
+++ new/usr/src/cmd/idmap/idmapd/Makefile	Tue Jan  8 12:34:05 2019
@@ -22,6 +22,7 @@
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		idmapd
 MANIFEST =	idmap.xml
@@ -63,6 +64,9 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 TEXT_DOMAIN =	SUNW_OST_OSLIB
 XGETTEXT =	$(GNUXGETTEXT)
 XGETFLAGS =	--foreign-user --strict -n -E --width=72 \
--- old/usr/src/cmd/init/Makefile	Tue Jan  8 12:34:06 2019
+++ new/usr/src/cmd/init/Makefile	Tue Jan  8 12:34:06 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= init 
 ROOTFS_PROG= $(PROG)
@@ -38,6 +39,9 @@
 LINTFLAGS += -erroff=E_NAME_USED_NOT_DEF2
 CLOBBERFILES= $(STATIC)
 
+# needs work
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(ROOTFS_PROG)
--- old/usr/src/cmd/ipf/Makefile.ipf	Tue Jan  8 12:34:06 2019
+++ new/usr/src/cmd/ipf/Makefile.ipf	Tue Jan  8 12:34:06 2019
@@ -22,8 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#cmd/ipf/Makefile.ipf
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 
 LIBIPF=		../../lib/$(MACH)/libipf.a
@@ -41,3 +40,7 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
 CERRWARN	+= -_gcc=-Wno-empty-body
+
+# not linted
+SMATCH=off
+
--- old/usr/src/cmd/iscsiadm/Makefile	Tue Jan  8 12:34:07 2019
+++ new/usr/src/cmd/iscsiadm/Makefile	Tue Jan  8 12:34:07 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = iscsiadm
 OBJS = cmdparse.o sun_ima.o iscsiadm_main.o
@@ -43,6 +43,9 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 FILEMODE= 0555
 
 .KEEP_STATE:
--- old/usr/src/cmd/isns/isnsadm/Makefile	Tue Jan  8 12:34:07 2019
+++ new/usr/src/cmd/isns/isnsadm/Makefile	Tue Jan  8 12:34:07 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = isnsadm
 SRCS = cmdparse.c isnsadm.c isnsadm_msg.c
@@ -40,6 +41,12 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/isns/isnsd/Makefile	Tue Jan  8 12:34:08 2019
+++ new/usr/src/cmd/isns/isnsd/Makefile	Tue Jan  8 12:34:08 2019
@@ -25,7 +25,7 @@
 
 #
 # Copyright (c) 2012 by Delphix. All rights reserved.
-# Copyright 2017 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG = isns
@@ -64,6 +64,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 CLOBBERFILES += $(DTRACE_HEADER)
 
 obj.o := CERRWARN += -erroff=E_CONST_OBJ_SHOULD_HAVE_INITIZR
--- old/usr/src/cmd/keyserv/Makefile	Tue Jan  8 12:34:09 2019
+++ new/usr/src/cmd/keyserv/Makefile	Tue Jan  8 12:34:09 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SBINPROG = keyserv newkey
 BINPROG	= keylogout keylogin domainname chkey
@@ -74,6 +75,9 @@
 CERRWARN +=	-_gcc=-Wno-address
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lnsl
 chkey :=	LDLIBS += -lsldap
 keyserv :=	LDLIBS += -lmp
--- old/usr/src/cmd/krb5/kadmin/cli/Makefile	Tue Jan  8 12:34:10 2019
+++ new/usr/src/cmd/krb5/kadmin/cli/Makefile	Tue Jan  8 12:34:10 2019
@@ -2,6 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= kadmin kadmin.local
 SHFILES= k5srvutil
@@ -37,6 +38,8 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
 
+SMATCH=off
+
 COPTFLAG += $(XESS) #-I$(KINCDIR) 
 
 SHAREDLIBS = -lmech_krb5 -lss
--- old/usr/src/cmd/krb5/kadmin/dbutil/Makefile	Tue Jan  8 12:34:11 2019
+++ new/usr/src/cmd/krb5/kadmin/dbutil/Makefile	Tue Jan  8 12:34:11 2019
@@ -2,6 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= kdb5_util
 
@@ -40,6 +41,9 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 LDFLAGS += $(KRUNPATH) $(KERBRUNPATH)
 LDLIBS += -L $(ROOT_KLIBDIR) -L $(KRB5LIB) -lkadm5srv -lkdb \
 	-lmech_krb5 -lnsl
--- old/usr/src/cmd/krb5/kadmin/kclient/Makefile	Tue Jan  8 12:34:12 2019
+++ new/usr/src/cmd/krb5/kadmin/kclient/Makefile	Tue Jan  8 12:34:12 2019
@@ -22,6 +22,7 @@
 #
 # Makefile for Kerberos client-install utility.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		ksetpw \
 		kdyndns \
@@ -64,6 +65,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 ksetpw:=	LDFLAGS += $(KRUNPATH)
 kdyndns:=	LDFLAGS += -R/usr/lib/smbsrv
 ksmb:=		LDFLAGS += -R/usr/lib/smbsrv
--- old/usr/src/cmd/krb5/kadmin/kdcmgr/Makefile	Tue Jan  8 12:34:14 2019
+++ new/usr/src/cmd/krb5/kadmin/kdcmgr/Makefile	Tue Jan  8 12:34:14 2019
@@ -21,6 +21,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	kdcmgr
 KLPROG=	klookup
@@ -37,6 +38,9 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LDLIBS	+=	-lresolv -lnsl
 
 CLOBBERFILES +=	$(KLPROG)
--- old/usr/src/cmd/krb5/kadmin/kpasswd/Makefile	Tue Jan  8 12:34:15 2019
+++ new/usr/src/cmd/krb5/kadmin/kpasswd/Makefile	Tue Jan  8 12:34:15 2019
@@ -2,6 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= kpasswd
 
@@ -35,6 +36,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 LDFLAGS += $(KRUNPATH) $(KERBRUNPATH)
 LDLIBS += -L $(KRB5LIBDIR)
 LDLIBS += $(KMECHLIB) $(KCLNTLIB)
--- old/usr/src/cmd/krb5/kadmin/ktutil/Makefile	Tue Jan  8 12:34:16 2019
+++ new/usr/src/cmd/krb5/kadmin/ktutil/Makefile	Tue Jan  8 12:34:16 2019
@@ -2,6 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= ktutil
 
@@ -28,6 +29,9 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 LDFLAGS += $(KRUNPATH) $(KERBRUNPATH)
 LDLIBS += $(KMECHLIB) $(ROOT)$(KERBLIBDIR)/libss.so
 
--- old/usr/src/cmd/krb5/kadmin/server/Makefile	Tue Jan  8 12:34:17 2019
+++ new/usr/src/cmd/krb5/kadmin/server/Makefile	Tue Jan  8 12:34:17 2019
@@ -2,6 +2,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= kadmind
 MANIFEST=	kadmin.xml
@@ -47,6 +48,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 LDFLAGS += $(KRUNPATH) $(KERBRUNPATH)
 LDLIBS += -lgss -L$(KRB5LIB) \
 	-lmech_krb5 -lkadm5srv -lkdb -lnsl -lresolv -lbsm -lpam -lsocket
--- old/usr/src/cmd/krb5/kdestroy/Makefile	Tue Jan  8 12:34:18 2019
+++ new/usr/src/cmd/krb5/kdestroy/Makefile	Tue Jan  8 12:34:18 2019
@@ -2,6 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= kdestroy
 
@@ -15,6 +16,9 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 POFILE = kdestroy.po 
 POFILES = generic.po 
 
--- old/usr/src/cmd/krb5/kinit/Makefile	Tue Jan  8 12:34:19 2019
+++ new/usr/src/cmd/krb5/kinit/Makefile	Tue Jan  8 12:34:19 2019
@@ -2,6 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= kinit
 
@@ -17,6 +18,9 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 POFILE = kinit.po
 POFILES = generic.po
 
--- old/usr/src/cmd/krb5/klist/Makefile	Tue Jan  8 12:34:20 2019
+++ new/usr/src/cmd/krb5/klist/Makefile	Tue Jan  8 12:34:20 2019
@@ -2,7 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= klist
 
@@ -28,6 +28,9 @@
 LDLIBS += $(KMECHLIB)
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 $(GPROGS) := CPPFLAGS += -DSYSV -DSunOS=50 
 
 .KEEP_STATE:
--- old/usr/src/cmd/krb5/kproplog/Makefile	Tue Jan  8 12:34:21 2019
+++ new/usr/src/cmd/krb5/kproplog/Makefile	Tue Jan  8 12:34:21 2019
@@ -2,6 +2,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG		=	kproplog
 
@@ -37,6 +38,9 @@
 CERRWARN	+=	-_gcc=-Wno-unused-function
 CERRWARN	+=	-_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 all:		$(PROG)
 
 $(PROG):	$(OBJS) $(DERIVED_OBJS)
--- old/usr/src/cmd/krb5/krb5kdc/Makefile	Tue Jan  8 12:34:23 2019
+++ new/usr/src/cmd/krb5/krb5kdc/Makefile	Tue Jan  8 12:34:23 2019
@@ -2,6 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= krb5kdc
 MANIFEST=	krb5kdc.xml
@@ -56,6 +57,9 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 LDFLAGS += $(KRUNPATH) $(KERBRUNPATH)
 LDLIBS += -L$(ROOT_KLIBDIR) -L$(KRB5LIB) \
 	  -lmech_krb5 -lkdb -lkadm5srv -lnsl -lsocket -lbsm -lc
--- old/usr/src/cmd/krb5/kwarn/Makefile	Tue Jan  8 12:34:23 2019
+++ new/usr/src/cmd/krb5/kwarn/Makefile	Tue Jan  8 12:34:23 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 TESTPROG = kwarndtest 
 
@@ -56,6 +57,9 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 CPPFLAGS += -I../../lib/gss_mechs/mech_krb5/include \
                  -I$(SRC)/lib/gss_mechs/mech_krb5 \
                  -I$(SRC)/lib/gss_mechs/mech_krb5/include \
--- old/usr/src/cmd/krb5/ldap_util/Makefile	Tue Jan  8 12:34:25 2019
+++ new/usr/src/cmd/krb5/ldap_util/Makefile	Tue Jan  8 12:34:25 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= kdb5_ldap_util
 
@@ -65,6 +66,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 LDFLAGS += $(KRUNPATH) $(KERBRUNPATH)
 LDLIBS += -L $(ROOT_KLIBDIR) -L $(KRB5LIB) -lkadm5srv -lkdb -lkdb_ldap \
 	-lmech_krb5
--- old/usr/src/cmd/krb5/slave/Makefile	Tue Jan  8 12:34:26 2019
+++ new/usr/src/cmd/krb5/slave/Makefile	Tue Jan  8 12:34:26 2019
@@ -2,6 +2,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG1=kprop
 PROG2=kpropd
@@ -63,6 +64,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 LDFLAGS +=	$(KRUNPATH) $(KERBRUNPATH)
 LDLIBS +=	-lmech_krb5 -lsocket
 $(PROG1) :=	LDLIBS += -L$(KRB5LIB) -lkadm5srv
--- old/usr/src/cmd/ksh/Makefile.com	Tue Jan  8 12:34:27 2019
+++ new/usr/src/cmd/ksh/Makefile.com	Tue Jan  8 12:34:27 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SHELL=/usr/bin/ksh93
 
@@ -62,6 +63,9 @@
 pmain.o	:= CERRWARN += -_gcc=-Wno-implicit-function-declaration
 pmain.o	:= CERRWARN += -erroff=E_NO_IMPLICIT_DECL_ALLOWED
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 %.o:	$(LIBSHELLSRC)/%.c
--- old/usr/src/cmd/ksh/builtins/Makefile	Tue Jan  8 12:34:28 2019
+++ new/usr/src/cmd/ksh/builtins/Makefile	Tue Jan  8 12:34:28 2019
@@ -23,10 +23,10 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-
-#
 # Copyright 2010 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 
 PROG= alias
 ALIASPROG= \
@@ -93,6 +93,9 @@
 FILEMODE= 555
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/last/Makefile	Tue Jan  8 12:34:29 2019
+++ new/usr/src/cmd/last/Makefile	Tue Jan  8 12:34:29 2019
@@ -21,8 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/last/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= last
 UTMPS= wtmpx
@@ -33,6 +32,9 @@
 
 include ../Makefile.cmd
 
+# not linted
+SMATCH=off
+
 $(ROOTUTMPS):= FILEMODE= 644
 
 $(ROOTADM)/%: %
--- old/usr/src/cmd/ldap/Makefile.com	Tue Jan  8 12:34:30 2019
+++ new/usr/src/cmd/ldap/Makefile.com	Tue Jan  8 12:34:30 2019
@@ -20,6 +20,7 @@
 #
 #
 # Copyright (c) 1998, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 # cmd/ldap/Makefile.com
 # Native LDAP II commands (makestyle clean).
@@ -89,6 +90,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 all:=           TARGET= all
 install:=       TARGET= install
 clean:=         TARGET= clean
--- old/usr/src/cmd/ldapcachemgr/Makefile	Tue Jan  8 12:34:31 2019
+++ new/usr/src/cmd/ldapcachemgr/Makefile	Tue Jan  8 12:34:31 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	ldap_cachemgr
 
@@ -55,6 +56,9 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 # Message files
 POFILE=		ldap_cachemgr.po
 POFILES=	${OBJS:%.o=%.po}
